# Managing Strategies

Carbon DeFi supports the ability to edit and manage existing strategies. This flexibility was designed to allow cheaper edits and further flexibility in how users can and will be using the strategy to match their trading activities.

Supported edit options include:

* Create a new strategy - the ability to create new strategy with the desired buy/sell prices and allocated budget
* Edit prices - the ability to change the buy/sell prices of an existing strategy
* Withdraw funds - the ability to withdraw partial or full budget that is currently allocated to a strategy
* Deposit funds - the ability to deposit additional funds into an existing strategy
* Pause strategy - the ability to reset buy/sell prices and disable a strategy
* Delete strategy - the ability to delete the strategy NFT and withdraw all allocated funds to the owner's wallet

{% hint style="info" %}
Performing these operations requires calling the Constructor, however it does not require syncing the data.
{% endhint %}

#### To Manage a Strategy

1. Initialize the SDK with the [Constructor](/developer-guides/carbon-defi-sdk/sdk-functions/constructor.md).
2. Call the desired function:
   * [createBuySellStrategy](/developer-guides/carbon-defi-sdk/sdk-functions/createbuysellstrategy.md)
   * [updateStrategy](/developer-guides/carbon-defi-sdk/sdk-functions/updatestrategy.md)
   * [deleteStrategy](/developer-guides/carbon-defi-sdk/sdk-functions/deletestrategy.md)
3. Sign and submit the unsigned transaction to the blockchain.&#x20;


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.carbondefi.xyz/developer-guides/carbon-defi-sdk/interacting-with-the-sdk/managing-strategies.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
